Public Member Functions | Data Fields

# EffectVehicle Struct Reference

A special vehicle is one of the following:

- smoke
- electric sparks for trains
- explosions
- bulldozer (road works)
- bubbles (industry).

More...

`#include <effectvehicle_base.h>`

Inheritance diagram for EffectVehicle:

## Public Member Functions
| EffectVehicle ()
| We don't want GCC to zero our struct! It already is zeroed and has an index!
virtual | ~EffectVehicle ()
| We want to 'destruct' the right class.
void | UpdateDeltaXY (Direction direction)
| Updates the x and y offsets and the size of the sprite used for this vehicle.
bool | Tick ()
| Calls the tick handler of the vehicle.
TransparencyOption | GetTransparencyOption () const
| Determines the transparency option affecting the effect.
## Data Fields
uint16 | animation_state
| State primarily used to change the graphics/behaviour.
byte | animation_substate
| Sub state to time the change of the graphics/behaviour.

## Detailed Description

A special vehicle is one of the following:

- smoke
- electric sparks for trains
- explosions
- bulldozer (road works)
- bubbles (industry).

Definition at line 26 of file effectvehicle_base.h.

## Constructor & Destructor Documentation

virtual EffectVehicle::~EffectVehicle | ( |  | ) | `[inline, virtual]`

We want to 'destruct' the right class.

Definition at line 33 of file effectvehicle_base.h.

## Member Function Documentation

TransparencyOption EffectVehicle::GetTransparencyOption | ( |  | ) | const

Determines the transparency option affecting the effect.

Returns:
  Transparency option, or TO_INVALID if none.

Definition at line 660 of file effectvehicle.cpp.

References Vehicle::subtype.

Referenced by DoDrawVehicle().

bool EffectVehicle::Tick | ( |  | ) | `[virtual]`

Calls the tick handler of the vehicle.

Returns:
  is this vehicle still valid?

Reimplemented from Vehicle.

Definition at line 642 of file effectvehicle.cpp.

References Vehicle::subtype.

void EffectVehicle::UpdateDeltaXY | ( | Direction | direction | ) | `[virtual]`

Updates the x and y offsets and the size of the sprite used for this vehicle.

Parameters:

  | direction | the direction the vehicle is facing

Reimplemented from Vehicle.

Definition at line 647 of file effectvehicle.cpp.

References Vehicle::x_extent, Vehicle::x_offs, Vehicle::y_extent, Vehicle::y_offs, and Vehicle::z_extent.

Referenced by CreateEffectVehicle().

The documentation for this struct was generated from the following files:

- src/effectvehicle_base.h
- src/effectvehicle.cpp